module CGS 
    SpeedOfLight = 2.99792458e10;                           # cm / s 
    GravitationalConstant = 6.673e-8;                       # cm^3 / g s^2 
    PlancksConstantH = 6.62606896e-27;                      # g cm^2 / s 
    PlancksConstantHbar = 1.05457162825e-27;                # g cm^2 / s 
    AstronomicalUnit = 1.49597870691e13;                    # cm 
    LightYear = 9.46053620707e17;                           # cm 
    Parsec = 3.08567758135e18;                              # cm 
    GravAccel = 9.80665e2;                                  # cm / s^2 
    ElectronVolt = 1.602176487e-12;                         # g cm^2 / s^2 
    MassElectron = 9.10938188e-28;                          # g 
    MassMuon = 1.88353109e-25;                              # g 
    MassProton = 1.67262158e-24;                            # g 
    MassNeutron = 1.67492716e-24;                           # g 
    Rydberg = 2.17987196968e-11;                            # g cm^2 / s^2 
    Boltzmann = 1.3806504e-16;                              # g cm^2 / K s^2 
    MolarGas = 8.314472e7;                                  # g cm^2 / K mol s^2 
    StandardGasVolume = 2.2710981e4;                        # cm^3 / mol 
    Minute = 6e1;                                           # s 
    Hour = 3.6e3;                                           # s 
    Day = 8.64e4;                                           # s 
    Week = 6.048e5;                                         # s 
    Inch = 2.54e0;                                          # cm 
    Foot = 3.048e1;                                         # cm 
    Yard = 9.144e1;                                         # cm 
    Mile = 1.609344e5;                                      # cm 
    NauticalMile = 1.852e5;                                 # cm 
    Fathom = 1.8288e2;                                      # cm 
    Mil = 2.54e-3;                                          # cm 
    Point = 3.52777777778e-2;                               # cm 
    Texpoint = 3.51459803515e-2;                            # cm 
    Micron = 1e-4;                                          # cm 
    Angstrom = 1e-8;                                        # cm 
    Hectare = 1e8;                                          # cm^2 
    Acre = 4.04685642241e7;                                 # cm^2 
    Barn = 1e-24;                                           # cm^2 
    Liter = 1e3;                                            # cm^3 
    UsGallon = 3.78541178402e3;                             # cm^3 
    Quart = 9.46352946004e2;                                # cm^3 
    Pint = 4.73176473002e2;                                 # cm^3 
    Cup = 2.36588236501e2;                                  # cm^3 
    FluidOunce = 2.95735295626e1;                           # cm^3 
    Tablespoon = 1.47867647813e1;                           # cm^3 
    Teaspoon = 4.92892159375e0;                             # cm^3 
    CanadianGallon = 4.54609e3;                             # cm^3 
    UkGallon = 4.546092e3;                                  # cm^3 
    MilesPerHour = 4.4704e1;                                # cm / s 
    KilometersPerHour = 2.77777777778e1;                    # cm / s 
    Knot = 5.14444444444e1;                                 # cm / s 
    PoundMass = 4.5359237e2;                                # g 
    OunceMass = 2.8349523125e1;                             # g 
    Ton = 9.0718474e5;                                      # g 
    MetricTon = 1e6;                                        # g 
    UkTon = 1.0160469088e6;                                 # g 
    TroyOunce = 3.1103475e1;                                # g 
    Carat = 2e-1;                                           # g 
    UnifiedAtomicMass = 1.660538782e-24;                    # g 
    GramForce = 9.80665e2;                                  # cm g / s^2 
    PoundForce = 4.44822161526e5;                           # cm g / s^2 
    KilopoundForce = 4.44822161526e8;                       # cm g / s^2 
    Poundal = 1.38255e4;                                    # cm g / s^2 
    Calorie = 4.1868e7;                                     # g cm^2 / s^2 
    Btu = 1.05505585262e10;                                 # g cm^2 / s^2 
    Therm = 1.05506e15;                                     # g cm^2 / s^2 
    Horsepower = 7.457e9;                                   # g cm^2 / s^3 
    Bar = 1e6;                                              # g / cm s^2 
    StdAtmosphere = 1.01325e6;                              # g / cm s^2 
    Torr = 1.33322368421e3;                                 # g / cm s^2 
    MeterOfMercury = 1.33322368421e6;                       # g / cm s^2 
    InchOfMercury = 3.38638815789e4;                        # g / cm s^2 
    InchOfWater = 2.490889e3;                               # g / cm s^2 
    Psi = 6.89475729317e4;                                  # g / cm s^2 
    Poise = 1e0;                                            # g / cm s 
    Stokes = 1e0;                                           # cm^2 / s 
    Stilb = 1e0;                                            # cd / cm^2 
    Lumen = 1e0;                                            # cd sr 
    Lux = 1e-4;                                             # cd sr / cm^2 
    Phot = 1e0;                                             # cd sr / cm^2 
    Footcandle = 1.076e-3;                                  # cd sr / cm^2 
    Lambert = 1e0;                                          # cd sr / cm^2 
    Footlambert = 1.07639104e-3;                            # cd sr / cm^2 
    Curie = 3.7e10;                                         # 1 / s 
    Roentgen = 2.58e-7;                                     # A s / g 
    Rad = 1e2;                                              # cm^2 / s^2 
    SolarMass = 1.98892e33;                                 # g 
    BohrRadius = 5.291772083e-9;                            # cm 
    Newton = 1e5;                                           # cm g / s^2 
    Dyne = 1e0;                                             # cm g / s^2 
    Joule = 1e7;                                            # g cm^2 / s^2 
    Erg = 1e0;                                              # g cm^2 / s^2 
    StefanBoltzmannConstant = 5.67040047374e-5;             # g / K^4 s^3 
    ThomsonCrossSection = 6.65245893699e-25;                # cm^2
end
