module SI 
    SpeedOfLight = 2.99792458e8 ;                           # m / s 299 792 458 m/s
    GravitationalConstant = 6.673e-8;                       # cm^3 / g s^2 
    PlanckConstantH = 6.62607015e-34;                       # J . s  
    PlanckConstantHbar = 1.05457162825e-34;                 # J . s 
    AstronomicalUnit = 1.49597870691e11;                    # m 
    LightYear = 9.46053620707e15;                           # m 
    Parsec = 3.08567758135e16;                              # m 
    GravAccel = 9.80665e0;                                  # m / s^2 
    ElectronVolt = 1.602176487e-19;                         # kg m^2 / s^2 
    MassElectron = 9.10938356e-31;                          # kg 
    MassMuon = 1.83615267e-28;                              # kg 
    MassProton = 1.672621898e-27;                           # kg 
    MassNeutron = 1.674927471e-27;                          # kg
    MassTau = 3.16773502e-27;                               # kg
    MassHydrogen = 1.6737236e-27;                           # kg
    Rydberg = 2.17987196968e-18;                            # kg m^2 / s^2 
    Boltzmann = 1.380649e-23;                               # J / K                  [kg cm^2 / K s^2]
    Minute = 6e1;                                           # s 
    Hour = 3.6e3;                                           # s 
    Day = 8.64e4;                                           # s 
    Week = 6.048e5;                                         # s 
    Inch = 2.54e-2;                                         # m 
    Foot = 3.048e-1;                                        # m 
    Yard = 9.144e-1;                                        # m 
    Mile = 1.609344e3;                                      # m 
    NauticalMile = 1.852e3;                                 # m 
    Fathom = 1.8288e0;                                      # m 
    Mil = 2.54e-5;                                          # m 
    Point = 3.52777777778e-4;                               # m 
    Texpoint = 3.51459803515e-4;                            # m 
    Micron = 1e-6;                                          # m 
    Angstrom = 1e-10;                                       # m 
    Hectare = 1e4;                                          # m^2 
    Acre = 4.04685642241e3;                                 # m^2 
    Barn = 1e-28;                                           # m^2 
    Liter = 1e-3;                                           # m^3 
    UsGallon = 3.78541178402e-3;                            # m^3 
    Quart = 9.46352946004e-4;                               # m^3 
    Pint = 4.73176473002e-4;                                # m^3 
    Cup = 2.36588236501e-4;                                 # m^3 
    FluidOunce = 2.95735295626e-5;                          # m^3 
    Tablespoon = 1.47867647813e-5;                          # m^3 
    Teaspoon = 4.92892159375e-6;                            # m^3 
    CanadianGallon = 4.54609e-3;                            # m^3 
    UkGallon = 4.546092e-3;                                 # m^3 
    MilesPerHour = 4.4704e-1;                               # m / s 
    KilometersPerHour = 2.77777777778e-1;                   # m / s 
    Knot = 5.14444444444e-1;                                # m / s 
    PoundMass = 4.5359237e-1;                               # kg 
    OunceMass = 2.8349523125e-2;                            # kg 
    Ton = 9.0718474e2;                                      # kg 
    MetricTon = 1e3;                                        # kg 
    UkTon = 1.0160469088e3;                                 # kg 
    TroyOunce = 3.1103475e-2;                               # kg 
    Carat = 2e-4;                                           # kg 
    UnifiedAtomicMass = 1.660538782e-27;                    # kg 
    GramForce = 9.80665e-3;                                 # kg m / s^2 
    PoundForce = 4.44822161526e0;                           # kg m / s^2 
    KilopoundForce = 4.44822161526e3;                       # kg m / s^2 
    Poundal = 1.38255e-1;                                   # kg m / s^2 
    Calorie = 4.1868e0;                                     # kg m^2 / s^2 
    Btu = 1.05505585262e3;                                  # kg m^2 / s^2 
    Therm = 1.05506e8;                                      # kg m^2 / s^2 
    Horsepower = 7.457e2;                                   # kg m^2 / s^3 
    Bar = 1e5;                                              # kg / m s^2 
    StdAtmosphere = 1.01325e5;                              # kg / m s^2 
    Torr = 1.33322368421e2;                                 # kg / m s^2 
    MeterOfMercury = 1.33322368421e5;                       # kg / m s^2 
    InchOfMercury = 3.38638815789e3;                        # kg / m s^2 
    InchOfWater = 2.490889e2;                               # kg / m s^2 
    Psi = 6.89475729317e3;                                  # kg / m s^2 
    Poise = 1e-1;                                           # kg m^-1 s^-1 
    Stokes = 1e-4;                                          # m^2 / s 
    Stilb = 1e4;                                            # cd / m^2 
    Lumen = 1e0;                                            # cd sr 
    Lux = 1e0;                                              # cd sr / m^2 
    Phot = 1e4;                                             # cd sr / m^2 
    Footcandle = 1.076e1;                                   # cd sr / m^2 
    Lambert = 1e4;                                          # cd sr / m^2 
    Footlambert = 1.07639104e1;                             # cd sr / m^2 
    Curie = 3.7e10;                                         # 1 / s 
    Roentgen = 2.58e-4;                                     # A s / kg 
    Rad = 1e-2;                                             # m^2 / s^2 
    SolarMass = 1.98892e30;                                 # kg 
    BohrRadius = 5.291772083e-11;                           # m 
    Newton = 1e0;                                           # kg m / s^2 
    Dyne = 1e-5;                                            # kg m / s^2 
    Joule = 1e0;                                            # kg m^2 / s^2 
    Erg = 1e-7;                                             # kg m^2 / s^2 
    StefanBoltzmannConstant = 5.67040047374e-8;             # kg / K^4 s^3 
    ThomsonCrossSection = 6.65245893699e-29;                # m^2 
    BohrMagneton = 9.27400899e-24;                          # A m^2 
    NuclearMagneton = 5.05078317e-27;                       # A m^2 
    ElectronMagneticMoment = 9.28476362e-24;                # A m^2 
    ProtonMagneticMoment = 1.410606633e-26;                 # A m^2 
    Faraday = 9.64853429775e4;                              # A s / mol 
    ElectronCharge = 1.602176487e-19;                       # A s 
    VacuumPermittivity = 8.854187817e-12;                   # A^2 s^4 / kg m^3 
    VacuumPermeability = 1.25663706144e-6;                  # kg m / a^2 s^2 
    Debye = 3.33564095198e-30;                              # A s^2 / m^2 
    Gauss = 1e-4;                                           # kg / A s^2 
    ThomsonCrossSection = 6.65245893699e-29;                # m^2
    KotovCosmicPeriodicity = 9600.061e0;                    # s
    CmbTemperature = 2.725820831                            # K
    UniverseSanchezMass = 8.7936e52                         # kg
    SanchezElectrConstant = 137.035999139e0                 # dimensionless
    α = 7.2973525664e10-3                                   # Fine Structure Constant
    ε0 =  8.854187817e10-12                                 # F m-1 electric constant
    μ0 =  12.566370614e10-7                                 # N A-2     magnetic constant 
    #α^-1 = 137.035999139e0                                 # Inverse fine-structure Constant
end
